Skip to main content

Delete an OTP credential

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/otp-credentials/:extId

Since: 8.2605.0, 9.2605.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Deletes the OTP card credential identified by its external ID, belonging to the specified user.

Note that deleting an OTP card credential removes the user's ability to authenticate using that specific OTP card.

In self-admin mode, the user can delete their own OTP credential. A valid JWT token must be provided in the X-Token request header for self-admin delete operations.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the OTP credential.

    Example: otp-123

Responses

OTP credential deleted successfully

Loading...